haskell-language-server-2.9.0.0: LSP server for GHC

Safe Haskell | Safe-Inferred
Language | GHC2021

Ide.Arguments

# Documentation

data Arguments #

Constructors

VersionMode PrintVersion |
ProbeToolsMode |
ListPluginsMode |
BiosMode BiosAction |
Ghcide GhcideArguments |
VSCodeExtensionSchemaMode |
DefaultConfigurationMode |
PrintLibDir |

data GhcideArguments #

Constructors

GhcideArguments |
Fields argsCommand :: Command argsCwd :: Maybe FilePath argsShakeProfiling :: Maybe FilePath argsTesting :: Bool argsExamplePlugin :: Bool argsLogLevel :: Priority argsLogFile :: Maybe String the minimum log level to show argsLogStderr :: Bool argsLogClient :: Bool argsThreads :: Int argsProjectGhcVersion :: Bool

#### Instances

Instances details

Show GhcideArguments # |
Instance details Defined in Ide.Arguments Methods showsPrec :: Int -> GhcideArguments -> ShowS # show :: GhcideArguments -> String # showList :: [GhcideArguments] -> ShowS #

data PrintVersion #

Constructors

PrintVersion |
PrintNumericVersion |

#### Instances

Instances details

Show PrintVersion # |
Instance details Defined in Ide.Arguments Methods showsPrec :: Int -> PrintVersion -> ShowS # show :: PrintVersion -> String # showList :: [PrintVersion] -> ShowS #
Eq PrintVersion # |
Instance details Defined in Ide.Arguments Methods (==) :: PrintVersion -> PrintVersion -> Bool # (/=) :: PrintVersion -> PrintVersion -> Bool #
Ord PrintVersion # |
Instance details Defined in Ide.Arguments Methods compare :: PrintVersion -> PrintVersion -> Ordering # (<) :: PrintVersion -> PrintVersion -> Bool # (<=) :: PrintVersion -> PrintVersion -> Bool # (>) :: PrintVersion -> PrintVersion -> Bool # (>=) :: PrintVersion -> PrintVersion -> Bool # max :: PrintVersion -> PrintVersion -> PrintVersion # min :: PrintVersion -> PrintVersion -> PrintVersion #

data BiosAction #

Constructors

PrintCradleType |

#### Instances

Instances details

Show BiosAction # |
Instance details Defined in Ide.Arguments Methods showsPrec :: Int -> BiosAction -> ShowS # show :: BiosAction -> String # showList :: [BiosAction] -> ShowS #
Eq BiosAction # |
Instance details Defined in Ide.Arguments Methods (==) :: BiosAction -> BiosAction -> Bool # (/=) :: BiosAction -> BiosAction -> Bool #
Ord BiosAction # |
Instance details Defined in Ide.Arguments Methods compare :: BiosAction -> BiosAction -> Ordering # (<) :: BiosAction -> BiosAction -> Bool # (<=) :: BiosAction -> BiosAction -> Bool # (>) :: BiosAction -> BiosAction -> Bool # (>=) :: BiosAction -> BiosAction -> Bool # max :: BiosAction -> BiosAction -> BiosAction # min :: BiosAction -> BiosAction -> BiosAction #

getArguments :: String -> IdePlugins IdeState -> IO Arguments #

haskellLanguageServerVersion :: IO String #

haskellLanguageServerNumericVersion :: String #